.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9;
  padding: 16px 0;
  backdrop-filter: blur(22px);
  background: rgba(2, 0, 16, 0.3);
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-logo {
  font-family: var(--second-family);
  font-style: italic;
  font-weight: 900;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #fb0;
  text-decoration: underline;
  transition: color 0.3s ease;
}
.header-logo:hover {
  color: #fff;
}

.page-nav {
  display: none;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 80px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  color: #fff;
  transition: border-color 0.3s ease;
}

.page-nav-link:hover {
  color: #fb0;
}

.menu-btn {
  svg {
    fill: none;
    stroke: #fff;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover {
  svg {
    stroke: #fb0;
  }
}

@media screen and (min-width: 1440px) {
  .main-section {
    padding: 20px 0;
  }

  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 8;
  padding: 120px 0;
  backdrop-filter: blur(32px);
  background: linear-gradient(
    180deg,
    rgba(30, 27, 73, 0.7) 0%,
    rgba(16, 4, 26, 0.7) 100%
  );
  transform: translateY(-100%);
  transition: transform 1s ease;
}

.menu-nav-list {
  flex-direction: column;
  gap: 40px;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  border: 1px solid #fff;
  border-radius: 25px;
  padding: 22px;
  background: #1e1b49;

  transition: transform 0.6s ease;
}

.popup-title {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 28px;
  line-height: 129%;
  text-align: center;
  color: #fb0;
  margin-bottom: 12px;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 18px;
  text-align: center;
  color: #fff;
  margin-bottom: 32px;
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 20px;
  text-align: center;
  color: #fff;
  text-align: center;

  display: block;
  border-radius: 15px;
  padding: 22px;
  background: #4d4887;

  transition:
    opacity 0.3s ease,
    background-color 0.3s ease;
}

.popup-btn:hover {
  background: #ff33a9;
}

.popup-wrap {
  display: flex;
  flex-direction: column;
  gap: 22px;
}

@media screen and (min-width: 1440px) {
  .page-popup {
    padding: 40px;
  }

  .popup-title {
    font-size: 38px;
    margin-bottom: 23px;
  }

  .popup-text {
    font-size: 18px;
    margin-bottom: 32px;
  }

  .popup-wrap {
    flex-direction: row;
    gap: 42px;
    justify-content: center;
  }

  .popup-btn {
    width: 310px;
    font-size: 20px;
    padding: 17px;
  }
}

/* hero  */

.dashboard {
  padding: 134px 0;
  background-image: url(../img/1.png);
  background-position: center;
  background-size: cover;
}

.hero-title {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 32px;
  line-height: 125%;
  color: #fb0;
  margin-bottom: 42px;
}

.hero-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 20px;
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .dashboard {
    padding: 214px 0;
  }

  .hero-title {
    font-size: 52px;
    max-width: 739px;
    margin-bottom: 42px;
  }

  .hero-text {
    font-size: 20px;
    max-width: 739px;
  }
}

/* apartments  */

#apartments {
  background-color: #1e1b4b;
  background-image:
    url(../img/why.png),
    linear-gradient(
      180deg,
      rgba(0, 0, 0, 0) 0%,
      rgba(0, 0, 0, 0.5) 40.87%,
      #000 100%
    );
  background-size: cover;
}

.apartments-list {
  display: flex;
  flex-direction: column;
  gap: 80px;

  li {
    display: flex;
    flex-direction: column;
    border-radius: 12px;
    background-color: #fff;
    display: flex;
    overflow: hidden;
  }

  img {
    width: 100%;
  }

  div {
    padding: 22px 12px;
  }
}

@media screen and (min-width: 1440px) {
  .apartments-list {
    gap: 80px;

    li {
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
    }

    img {
      width: 520px;
      flex-shrink: 0;
    }

    div {
      width: 494px;
      padding: 0 42px;
    }

    .title,
    .text {
      text-align: start;
    }
  }
}

/* casino */

.casino-text {
  padding-bottom: 10px;
  border-bottom: 1px solid #1e1b4b;
  margin-bottom: 28px;
  color: #1e1b4b;
}

@media screen and (min-width: 1440px) {
  .casino-list {
    flex-direction: row;
    gap: 37px;

    li {
      width: calc((100% - 74px) / 3);
      border-radius: 25px;
    }
  }
}

/* restaurant */

#restaurant {
  background: #1e1b4b;
}

@media screen and (min-width: 1440px) {
  #restaurant {
    padding: 192px 0;
  }
}

/* game */

#game {
  background: #fb0;
  .text {
    border-bottom: 1px solid #1e1b4b;
    margin-bottom: 20px;
    padding-bottom: 10px;
  }
}

@media screen and (min-width: 1440px) {
  #game {
    .text {
      width: 880px;
      font-size: 24px;
    }
  }
}

/* footer */

.footer {
  padding: 30px 0;
  background: #090731;
}

.footer-title {
  font-family: var(--second-family);
  font-style: italic;
  font-weight: 900;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #fb0;
  border-bottom: 1px solid #fb0;
}

.footer-mail {
  display: block;
  margin-bottom: 20px;
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #fff;

  a:hover {
    text-decoration: underline;
  }
}

.footer-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 44px;

  a {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
    color: #fff;
    transition: color 0.3s ease;
  }

  a:hover {
    color: #fb0;
  }
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 18px 0;
  }

  .footer-title {
    font-size: 16px;
  }

  .footer-mail {
    font-size: 16px;
    margin-bottom: 20px;
  }

  .footer-list {
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 76px;
    margin-bottom: 24px;

    a {
      font-size: 16px;
    }
  }

  .footer-text {
    font-size: 16px;
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  border: 1px solid #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
  width: 60px;
  border-radius: 50%;

  z-index: 7;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition:
    opacity 0.4s ease,
    border-color 0.4s ease transform 0.4s ease;

  svg {
    fill: none;
    stroke: #fff;
  }
}

#scrollTopBtn.show {
  opacity: 0.5;
  transform: translateY(0);
  pointer-events: auto;
}

#scrollTopBtn.show:hover {
  opacity: 1;
  border-color: #fb0;

  svg {
    stroke: #fb0;
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(135deg);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
